/***************************************************************************
* 
* Copyright (c) 1998, Decision Systems Group
*
* Permission is hereby granted, free of charge, to any person obtaining
* a copy of this software and associated documentation files (the
* "Software"), to deal in the Software without restriction, including
* without limitation the rights to use, copy, modify, merge, publish,
* distribute, sublicense, and/or sell copies of the Software, and to
* permit persons to whom the Software is furnished to do so, subject to
* the following conditions:
*
* The above copyright notice and this permission notice shall be
* included in all copies or substantial portions of the Software.
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
* EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
* IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
* CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
* TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
* SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
* 
* ==========================================================================
* 
* FILE:
* 
* CUC_Mutex.hh
* 
* AUTHOR: 
* 
* Jaime Requena
* 
* CREATION DATE: 
* 
* March 1997
* 
* DESCRIPTION: 
* 
* Implementation of Mutex.
* 
* NOTES: 
* 
* 
* MODIFICATIONS: 
* --------------------------------------------------------------------------
* Date     Name      Description of modification
* --------------------------------------------------------------------------
*
* $Log: CU_Mutex.hh,v $
* Revision 1.2  1998/07/15 05:20:15  sdeibel
* Changed all copyright notices to match MIT license release plus misc
* prep for 0.8.3 release
*
// Revision 1.1.1.1  1997/10/24  16:48:44  sdeibel
// Converting to CVS
//
* Revision 1.3  1997/04/07 15:14:17  jehresma
* Removed #include "CORBA.hh"
*
* Revision 1.2  1997/03/25 19:14:11  sdeibel
* Minor changes
*
*
*/

#ifndef CU_MUTEX_HH_ALREADY_INCLUDED
#define CU_MUTEX_HH_ALREADY_INCLUDED

/**************************************************************************/
/* FORWARD REFERENCES */

class CORBA_Environment;


/**************************************************************************/
/* CLASSES */

class CUC_Resource;
class CUC_Mutex {

public:
  
  CUC_Mutex(CORBA_Environment *ev, CUC_Resource* resource);
  ~CUC_Mutex();

private:
  
  CUC_Resource* fRes;

};

class CUC_Resource {

public:
  
  CUC_Resource();
  virtual ~CUC_Resource();
  virtual void Mutex(CORBA_Environment *ev, CUC_Mutex* mutex);
  virtual void Release(CUC_Mutex* mutex);

private:
  
  CUC_Mutex* fMutex;

};


#endif // CU_MUTEX_HH_ALREADY_INCLUDED
